Subject: Re: [NETFILTER]: Introduce nf_inet_address

From: Patrick McHardy <[email-masked]>
Date: Mon, 25 Feb 2008 13:12:10 +0100

David Woodhouse wrote:
> On Fri, 2008-02-22 at 16:44 +0100, Patrick McHardy wrote:
>> Pablo Neira Ayuso wrote:
>>> Patrick McHardy wrote:
>>>> Yes, that was a bug in the lastest release. We need to
>>>> release a 1.4.1 version or something like that, but I'm
>>>> not too familiar with the release process, so I haven't
>>>> done this so far.
>>> I can schedule one for this weekend, just send me an ACK.
>>
>> That would be great. I think we had another issue in 1.4.0 with
>> some header files, but I can't remeber the details.
> 
> If you are going to include header files in the release (which makes a
> certain amount of sense), it would be best if those are simply the
> result of the kernel's 'make headers_install', without any manual
> changes.

Yes, the kernel headers need to be fixed as well to not include
linux/compiler.h outside of #ifdef __KERNEL__. I'll take care
of that.